﻿/* Move down content because we have a fixed navbar that is 50px tall */
#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}
/*.btn {
    border-radius:16px !important
}*/
    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
body {
    /*padding-top: 50px;*/
    padding-bottom: 20px;
    font-family: Raleway,Arial,Helvetica,sans-serif;
    font-weight: 500;
    letter-spacing: 0;
    font-style: normal;
    font-size: 10px;
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Set widths on the form inputs since otherwise they're 100% wide */
input,
select,
textarea {
    /*max-width: 280px;*/
}
input, select, textarea {
    /* max-width: 280px; */
    border-radius: 12px;
    border: 1px solid;
    font-size: 12px;
    padding: 5px;
    padding: 7px;
    margin: 2px;
}
/* Responsive: Portrait tablets and up */
@media screen and (min-width: 768px) {
    .jumbotron {
        margin-top: 20px;
    }

    .body-content {
        padding: 0;
    }
}

#logo {
    margin-top: 20px;
}

#menu {
    margin: 5px 1px 0px 0px;
    display: block;
    float: left;
    padding: 10px 10px 10px 10px;
    background-color: #eaeaea;
}

#adminContent {
    margin-top: 5px;
    display: block;
    float: left;
    width: 100%;
}

.RequiredField {
    background-color: #ffffcc;
    /*display: block;*/
    /* width: 100%; */
    /* height: 28px; */
    padding: 3px 10px;
    font-size: 10px;
    line-height: 1.428571429;
    color: #555555;
    vertical-align: middle;
    /* background-color: #ffffff; */
    border: 1px solid #cccccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    -webkit-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
    transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
}

.NormalField {
    background-color: #ffffff;
    /*display: block;*/
    /*width: 100%;*/
    /*height: 28px;*/
    padding: 3px 10px;
    font-size: 10px;
    line-height: 1.428571429;
    color: #555555;
    vertical-align: middle;
    /* background-color: #ffffff; */
    border: 1px solid #cccccc;
    border-radius: 4px;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
    -webkit-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
    transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
}

.tblForm {
    border-radius: 6px;
    border-collapse: separate;
    background-color: #eaeaea;
    border-color: #807f7f;
    border-width: 1px;
    border-style: solid;
    width: 100%;
    margin-bottom: 5px;
}


.GreenButton {
    background: #6fd932;
    background-image: -webkit-linear-gradient(top, #6fd932, #1c8208);
    background-image: -moz-linear-gradient(top, #6fd932, #1c8208);
    background-image: -ms-linear-gradient(top, #6fd932, #1c8208);
    background-image: -o-linear-gradient(top, #6fd932, #1c8208);
    background-image: linear-gradient(to bottom, #6fd932, #1c8208);
    -webkit-border-radius: 2;
    -moz-border-radius: 2;
    border-radius: 16px;
    text-shadow: 1px 1px 3px #666666;
    font-family: Raleway,Arial,Helvetica,sans-serif;
    color: #ffffff;
    font-size: 15px;
    padding: 10px 20px 10px 20px;
    text-decoration: none;
    border: 0px;
    margin: 0px 5px 0px 0px;
    cursor: pointer;
}

    .GreenButton:hover {
        background: #1c8208;
        background-image: -webkit-linear-gradient(top, #1c8208, #6fd932);
        background-image: -moz-linear-gradient(top, #1c8208, #6fd932);
        background-image: -ms-linear-gradient(top, #1c8208, #6fd932);
        background-image: -o-linear-gradient(top, #1c8208, #6fd932);
        background-image: linear-gradient(to bottom, #1c8208, #6fd932);
        text-decoration: none;
    }

    .GreenButton:disabled {
        background: #807f7f;
    }

.GreenButtonSmall {
    background: #6fd932;
    background-image: -webkit-linear-gradient(top, #6fd932, #1c8208);
    background-image: -moz-linear-gradient(top, #6fd932, #1c8208);
    background-image: -ms-linear-gradient(top, #6fd932, #1c8208);
    background-image: -o-linear-gradient(top, #6fd932, #1c8208);
    background-image: linear-gradient(to bottom, #6fd932, #1c8208);
    -webkit-border-radius: 2;
    -moz-border-radius: 2;
    border-radius: 16px;
    text-shadow: 1px 1px 3px #666666;
    font-family: Raleway,Arial,Helvetica,sans-serif;
    color: #ffffff;
    font-size: 12px;
    padding: 4px 8px 4px 8px;
    text-decoration: none;
    border: 0px;
    margin: 0px 2px 0px 0px;
    cursor: pointer;
}

    .GreenButtonSmall:disabled {
        background: #807f7f;
    }

    .GreenButtonSmall:hover {
        background: #1c8208;
        background-image: -webkit-linear-gradient(top, #1c8208, #6fd932);
        background-image: -moz-linear-gradient(top, #1c8208, #6fd932);
        background-image: -ms-linear-gradient(top, #1c8208, #6fd932);
        background-image: -o-linear-gradient(top, #1c8208, #6fd932);
        background-image: linear-gradient(to bottom, #1c8208, #6fd932);
        text-decoration: none;
    }

.BlueButtonSmall {
    background: #0000ff;
    background-image: -webkit-linear-gradient(top, #7777ff, #0000ff);
    background-image: -moz-linear-gradient(top, #7777ff, #0000ff);
    background-image: -ms-linear-gradient(top, #7777ff, #0000ff);
    background-image: -o-linear-gradient(top, #7777ff, #0000ff);
    background-image: linear-gradient(to bottom, #7777ff, #0000ff);
    -webkit-border-radius: 2;
    -moz-border-radius: 2;
    border-radius: 16px;
    text-shadow: 1px 1px 3px #666666;
    font-family: Raleway,Arial,Helvetica,sans-serif;
    color: #ffffff;
    font-size: 12px;
    padding: 4px 8px 4px 8px;
    text-decoration: none;
    border: 0px;
    margin: 0px 2px 0px 0px;
    cursor: pointer;
}

    .BlueButtonSmall:disabled {
        background: #807f7f;
    }

    .BlueButtonSmall:hover {
        background: #1c8208;
        background-image: -webkit-linear-gradient(top, #0000ff, #7777ff);
        background-image: -moz-linear-gradient(top, #0000ff, #7777ff);
        background-image: -ms-linear-gradient(top, #0000ff, #7777ff);
        background-image: -o-linear-gradient(top, #0000ff, #7777ff);
        background-image: linear-gradient(to bottom, #0000ff, #7777ff);
        text-decoration: none;
    }

.RedButton {
    background: #6fd932;
    background-image: -webkit-linear-gradient(top, #af1616, #820f0f);
    background-image: -moz-linear-gradient(top, #af1616, #820f0f);
    background-image: -ms-linear-gradient(top, #af1616, #820f0f);
    background-image: -o-linear-gradient(top, #af1616, #820f0f);
    background-image: linear-gradient(to bottom, #af1616, #820f0f);
    -webkit-border-radius: 2;
    -moz-border-radius: 2;
    border-radius: 16px;
    text-shadow: 1px 1px 3px #666666;
    font-family: Raleway,Arial,Helvetica,sans-serif;
    color: #ffffff;
    font-size: 15px;
    padding: 10px 20px 10px 20px;
    text-decoration: none;
    border: 0px;
    margin: 0px 5px 0px 0px;
    cursor: pointer;
}

    .RedButton:hover {
        background: #1c8208;
        background-image: -webkit-linear-gradient(top, #820f0f, #af1616);
        background-image: -moz-linear-gradient(top, #820f0f, #af1616);
        background-image: -ms-linear-gradient(top, #820f0f, #af1616);
        background-image: -o-linear-gradient(top, #820f0f, #af1616);
        background-image: linear-gradient(to bottom, #820f0f, #af1616);
        text-decoration: none;
    }

    .RedButton:disabled {
        background: #807f7f;
    }

.RedButtonSmall {
    background: #6fd932;
    background-image: -webkit-linear-gradient(top, #af1616, #820f0f);
    background-image: -moz-linear-gradient(top, #af1616, #820f0f);
    background-image: -ms-linear-gradient(top, #af1616, #820f0f);
    background-image: -o-linear-gradient(top, #af1616, #820f0f);
    background-image: linear-gradient(to bottom, #af1616, #820f0f);
    -webkit-border-radius: 2;
    -moz-border-radius: 2;
    border-radius: 16px;
    text-shadow: 1px 1px 3px #666666;
    font-family: Raleway,Arial,Helvetica,sans-serif;
    color: #ffffff;
    font-size: 12px;
    padding: 4px 8px 4px 8px;
    text-decoration: none;
    border: 0px;
    margin: 0px 2px 0px 0px;
    cursor: pointer;
}

    .RedButtonSmall:hover {
        background: #1c8208;
        background-image: -webkit-linear-gradient(top, #820f0f, #af1616);
        background-image: -moz-linear-gradient(top, #820f0f, #af1616);
        background-image: -ms-linear-gradient(top, #820f0f, #af1616);
        background-image: -o-linear-gradient(top, #820f0f, #af1616);
        background-image: linear-gradient(to bottom, #820f0f, #af1616);
        text-decoration: none;
    }

    .RedButtonSmall:disabled {
        background: #807f7f;
    }

.YellowButton {
    background: #ad9525;
    background-image: -webkit-linear-gradient(top, #e3c01f, #ad9525);
    background-image: -moz-linear-gradient(top, #e3c01f, #ad9525);
    background-image: -ms-linear-gradient(top, #e3c01f, #ad9525);
    background-image: -o-linear-gradient(top, #e3c01f, #ad9525);
    background-image: linear-gradient(to bottom, #e3c01f, #ad9525);
    -webkit-border-radius: 2;
    -moz-border-radius: 2;
    border-radius: 16px;
    text-shadow: 1px 1px 3px #666666;
    font-family: Raleway,Arial,Helvetica,sans-serif;
    color: #ffffff;
    font-size: 15px;
    padding: 10px 20px 10px 20px;
    text-decoration: none;
    border: 0px;
    margin: 0px 5px 0px 0px;
    cursor: pointer;
}

    .YellowButton:hover {
        background: #1c8208;
        background-image: -webkit-linear-gradient(top, #ad9525, #e3c01f);
        background-image: -moz-linear-gradient(top, #ad9525, #e3c01f);
        background-image: -ms-linear-gradient(top, #ad9525, #e3c01f);
        background-image: -o-linear-gradient(top, #ad9525, #e3c01f);
        background-image: linear-gradient(to bottom, #ad9525, #e3c01f);
        text-decoration: none;
        text-shadow: 1px 1px 3px #434343;
    }

    .YellowButton:disabled {
        background: #807f7f;
    }
.YellowButtonSmall {
    background: #ad9525;
    background-image: -webkit-linear-gradient(top, #e3c01f, #ad9525);
    background-image: -moz-linear-gradient(top, #e3c01f, #ad9525);
    background-image: -ms-linear-gradient(top, #e3c01f, #ad9525);
    background-image: -o-linear-gradient(top, #e3c01f, #ad9525);
    background-image: linear-gradient(to bottom, #e3c01f, #ad9525);
    -webkit-border-radius: 2;
    -moz-border-radius: 2;
    border-radius: 16px;
    text-shadow: 1px 1px 3px #666666;
    font-family: Raleway,Arial,Helvetica,sans-serif;
    color: #ffffff;
    font-size: 12px;
    padding: 4px 8px 4px 8px;
    text-decoration: none;
    border: 0px;
    margin: 0px 2px 0px 0px;
    cursor: pointer;
}

    .YellowButtonSmall:hover {
        background: #1c8208;
        background-image: -webkit-linear-gradient(top, #ad9525, #e3c01f);
        background-image: -moz-linear-gradient(top, #ad9525, #e3c01f);
        background-image: -ms-linear-gradient(top, #ad9525, #e3c01f);
        background-image: -o-linear-gradient(top, #ad9525, #e3c01f);
        background-image: linear-gradient(to bottom, #ad9525, #e3c01f);
        text-decoration: none;
        text-shadow: 1px 1px 3px #434343;
    }

    .YellowButtonSmall:disabled {
        background: #807f7f;
    }

.FormLineLabel {
    color: #4e4e4e;
    font-weight: bold;
    font-size: 10px;
}

.FormLineDesc {
    color: #4e4e4e;
    font-size: 10px;
}

.FormLabel {
    color: #4e4e4e;
}

.FormLineLabelRequired {
    color: red;
}

#FormDiv {
/*    background-color: #f5f5f5;*/
    padding: 10px 10px 10px 10px;
}

h4 {
    /*background: #807f7f;
    padding: 10px 10px 10px 10px;
    margin-bottom: -1px;
    font-size: 15px !important;
    -webkit-clip-path: polygon(0% 0%, 0% 100%, 100% 100%, 90% 0%);
    clip-path: polygon(0% 0%, 0% 100%, 100% 100%, 90% 0%);
    font-size: 32px;
    color: white;
    width: 250px;*/
    font-family: Raleway,Arial,Helvetica,sans-serif;
    font-weight: 400;
    line-height: 1.31;
    letter-spacing: 1px;
    font-style: normal;
}

#formButtons {
    /*background: #807f7f;*/
    padding: 6px 10px 6px 12px;
    margin-bottom: -1px;
    font-size: 15px !important;
    -webkit-clip-path: polygon(0 0, 90% 0, 81% 100%, 0% 100%);
    clip-path: polygon(0 0, 90% 0, 81% 100%, 0% 100%);
    font-size: 32px;
    color: white;
    width: 500px;
}

.GridGreenButton {
    background-color: white;
    color: black !important;
    border: 2px solid #4CAF50;
    padding: 3px 10px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 14px;
    margin-left: 14px;
}

    .GridGreenButton:hover {
        background-color: #4CAF50;
        color: white !important;
        text-decoration: none;
    }


/* -- css main menu nav ----------------------------------------------------------------------------------- */


nav#main-menu ul li:hover {
    background: #555;
    color: #fff;
    cursor: pointer;
}

nav#main-menu ul li a {
    white-space: nowrap;
    margin: 0px;
    height: 20px;
    width: 120px;
    padding: 10px;
    font-style: normal;
    text-decoration: none;
    font-family: Raleway,Arial,Helvetica,sans-serif;
    cursor: pointer;
    z-index: 10;
}

nav#main-menu ul li ul {
    padding: 0;
    position: absolute;
    top: 6px;
    height: 20px;
    width: 215px;
    left: 0;
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    display: none;
    opacity: 0;
    visibility: hidden;
    margin: 0;
    padding: 0;
    z-index: 3 !important;
}

nav#main-menu li#back {
    display: none;
}

nav#main-menu ul li ul li {
    background: #a6a3a3 !important;
    display: block;
    text-shadow: none;
    border: 1px solid #ffffff;
    width: 215px;
    padding: 10px 10px 10px 10px;
    top: 24px;
    margin-top: 0px !important;
    z-index: 3 !important;
}

    nav#main-menu ul li ul li a {
        color: black;
        /*background-color: #a6a3a3;
            text-decoration: none;
            font-size: 11px;
            color: black;
            padding-left: 10px;
            width: 215px;
            height: 40px;
            text-align: left;*/
            z-index: 3 !important;
    }

        nav#main-menu ul li ul li a:hover {
            /*text-shadow: 1px 1px 0px white;*/
            color: #000000;
            /*background: transparent url(../menu_btn_on2.jpg) repeat-x center center;*/
            z-index: 1;
            background-color: #eaeaea !important;
        }

    nav#main-menu ul li ul li:hover {
        background: #eaeaea !important;
        text-shadow: none;
    }

nav#main-menu ul li:hover ul {
    display: block;
    opacity: 1;
    visibility: visible;
    color: white;
    z-index: 1;
}


nav#main-menu ul {
    text-align: left;
    display: inline;
    margin: 0 !Important;
    list-style: none;
    padding: 0px !Important;
    z-index: 100;
}


    nav#main-menu ul li {
        margin-top: 26px;
        display: block;
        position: relative;
        float: left;
    }

        /* -- selected -- */
        nav#main-menu ul li a:hover, #nav#main-menu ul li .selected {
            /*background: transparent url(../menu_btn_on.png) no-repeat;*/
            background-color: #b0afaf;
            /*text-shadow: 1px 1px 0px white;*/
            color: #333333;
        }

.RadiusTabUnselected {
    border-top: 1px solid #747474;
    border-left: 1px solid #747474;
    border-right: 1px solid #747474;
    padding: 10px;
    color: #eaeaea;
    font-style: normal;
    text-decoration: none;
    font-family: Raleway,Arial,Helvetica,sans-serif;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
    background-color: #5f89af;
}

.RadiusTab {
    border-top: 1px solid #747474;
    border-left: 1px solid #747474;
    border-right: 1px solid #747474;
    padding: 10px;
    font-style: normal;
    text-decoration: none;
    font-family: Raleway,Arial,Helvetica,sans-serif;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
    background-color: #ffffff;
    color: #323232;
}

.bold {
    color: #365899 !important;
    font-weight: bold;
}

.mainlogo {
    float: left;
    display: block;
    padding: 5px 5px 5px 5px;
}

.navbar-inverse {
    border-bottom: 1px;
    border-bottom-color: gray;
    border-bottom-style: solid;
    background-color: white;
}

h5 {
    color: darkred;
    font-weight: bold;
    font-size: 12px;
}

#mapCanvas {
    width: 100%;
    height: 250px;
}

td {
    vertical-align: top !important;
}

th {
    font-size: 10px;
}

.Grid {
    padding: 3px 3px 3px 3px;
    font-size: 10px;
    background-color: #ffffff;
    border-color: #cecdcd;
}

.GridHeader {
    background-color: #cecdcd;
}

.GridAlternate {
    background-color: #eaeaea;
}

.GridFooter {
    background-color: #cecdcd;
}

.UploadButton {
    font-size: 10px
}

h6 {
    text-transform: uppercase;
    font-size: 12px;
    color: black;
}

    h6:before {
        content: ' ';
        display: block;
        border: 1px solid black;
    }

#docHeader {
    content: ' ';
    display: block;
    border-top: 3px solid black;
    border-bottom: 3px solid black;
    clear: both;
    height: 62px;
}

#docBorrower {
    float: right;
    clear: both;
}

#docTitle {
    float: right;
    font-size: 15px;
    font-weight: bold;
    margin-top: 20px;
}

#docWrapper {
    width: 1024px;
    padding: 30px 30px 30px 30px;
}

#docFooter {
}

    #docFooter:before {
        content: ' ';
        display: block;
        border: 3px solid black;
    }

#docProjectInfo {
    float: right;
    font-size: 10px;
    height: 80px;
}

#docMainTitle {
    font-size: 15px;
    font-weight: bold;
}

.TRAltColor {
    background-color: #e0e0e0;
}

.Icons {
    width: 30px;
}

.ExportButton {
    width: 25px;
}

.PopupWindow {
    padding-top: 0px !important;
    padding-bottom: 0px !important;
}

.CardButtons {
    float: right;
}

.StatementText {
    font-size: smaller
}

.DocBlueBG {
    background-color: #5a81b8;
}
.DocTitleText {
    font-size: 40px;
    margin: 20px 0px 20px 0px;
    text-transform: uppercase;
    color: #ffffff;
    font-family: 'Times New Roman', Times, serif
}
.DocSubTitleText {
    font-size: 20px;
    margin: 20px 0px 20px 0px;
    color: #ffffff;
    font-family: 'Times New Roman', Times, serif
}
.RedBG {
    background-color: #fcc6cd;
}
.GreenBG {
    background-color: #c7efce;
}
.YellowBG {
    background-color: #fcf2cc;
}
.BlueBG {
    background-color: #cbdffb;
}
#coverTitle
{
    margin-top: 500px;
}
.Signature
{
  font-family: 'Lucida Calligraphy', serif;
  font-size: 20px;
  font-style:oblique;
  font-stretch: extra-condensed;
  color: #000000;
}
.RedText
{
    color: darkred;
}

.link--default {
    text-decoration: underline !important;
    color: blue !important;
}

a:hover, button:hover {
    cursor: pointer;
}

.e-grid.e-responsive .e-headercelldiv {
    text-overflow: clip;
    overflow: visible;
}

#formButtons {
    clip-path: none;
    width: auto;
}

.e-popup {
    max-height: 600px !important;
}

button:disabled, button[disabled] {
    border: 1px solid #999999 !important;
    background-color: darkgrey !important;
    color: #fff !important;
    padding: 10px;
    cursor: not-allowed !important;
}

/* Inspector/CIR Forms */
#form1 textarea, .customTextArea{
    height: 100px;
    width: 600px;
    max-width: 600px;
    border: 1px solid rgb(200, 200, 200);
}

.e-grid {
    display: grid !important;
}